Date:2011-04-07 12:13:10 (9 years 3 months ago)
Author:Peter Zotov
Commit:fdbf94c90331b37b304735e43390e5fbc3ad7199
Message:Use pkg-config to detect libusb-1.0.

Files: configure.ac (2 diffs)
jzboot (1 diff)

Change Details

configure.ac
4949echo "Error! You need to have libusb-0.1. \n"
5050echo "Maybe run 'sudo apt-get install libusb-dev' under debian"
5151exit -1 ])
52AC_CHECK_LIB([usb-1.0], [main], [], [
53echo "Error! You need to have libusb-1.0. \n"
54echo "Maybe run 'sudo apt-get install libusb1.0-0-dev' under debian"
55exit -1 ])
52PKG_CHECK_MODULES([LIBUSB1], [libusb-1.0])
5653
5754AC_ARG_WITH([readline],
5855  [AS_HELP_STRING([--with-readline],
...... 
7370     fi
7471    ], -lncurses)])
7572
76LIBS="$LIBS $USB_LIBS $READLINE_LIBS"
77CFLAGS="$CFLAGS $USB_CFLAGS"
73LIBS="$LIBS $USB_LIBS $READLINE_LIBS $LIBUSB1_LIBS"
74CFLAGS="$CFLAGS $USB_CFLAGS $LIBUSB1_CFLAGS"
7875
7976# Checks for header files.
8077AC_HEADER_STDC
jzboot
1Subproject commit 8b4338fc90376ed10d814f8ae2ca1a0a4436c049
1Subproject commit 04ed523633082c0bc49fd23f8424bdf1523b1ec4

Archive Download the corresponding diff file



interactive